compact1, compact2, compact3
java.lang

## Class IncompatibleClassChangeError

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Error
    - - java.lang.LinkageError
      - - java.lang.IncompatibleClassChangeError

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    AbstractMethodError, IllegalAccessError, InstantiationError, NoSuchFieldError, NoSuchMethodError

      public class IncompatibleClassChangeError
      extends LinkageError

  Thrown when an incompatible class change has occurred to some class definition. The definition of some class, on which the currently executing method depends, has since changed.
  Since:
    JDK1.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `IncompatibleClassChangeError()` | Constructs an `IncompatibleClassChangeError` with no detail message.
    `IncompatibleClassChangeError(String s)` | Constructs an `IncompatibleClassChangeError` with the specified detail message.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IncompatibleClassChangeError

          public IncompatibleClassChangeError()

      Constructs an `IncompatibleClassChangeError` with no detail message.

    - #### IncompatibleClassChangeError

          public IncompatibleClassChangeError(String s)

      Constructs an `IncompatibleClassChangeError` with the specified detail message.
      Parameters:
        `s` - the detail message.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.